Bug 12762 - В LiveCD не работает настройка WiFi в Alterator
: В LiveCD не работает настройка WiFi в Alterator
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-net-wifi)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-12 22:10 by
Modified: 2015-02-26 11:17 (History)


Attachments
Добавление в options параметра USE_IFPLUGD=no (527 bytes, patch)
2007-09-12 22:13, Michael A. Kangin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-12 22:10:37
На свежеустановленной системе, если в /etc/net/ifaces/default/options-eth
параметр USE_IFPLUGD имеет значение yes, alterator-net-wifi не может поднять
беспроводной интерфейс и молча падает, если понажимать кнопок на интерфейсе.
Никаких человекочитаемых сообщений об ошибке не выдаётся.
В консоли:
------------------
try connect with path '/tmp/.private/root/alterator/browser-sock'...
here...
mailbox message:wpa-supplicant
end of processing....
Failed to connect to wpa_supplicant - wpa_ctrl_open: No such file or directory
try to start supplicant for eth1...
ERROR: /etc/net/scripts/ifup-common: ERROR: USE_IFPLUGD=yes for eth1, wireless
card is unsupported
Failed to connect to wpa_supplicant - wpa_ctrl_open: No such file or directory
-------------------

при падении:
------------------
/usr/share/guile/1.6/alterator/exit-handler.scm:19:7: In procedure list-ref in
expression (apply throw args):
/usr/share/guile/1.6/alterator/exit-handler.scm:19:7: Argument 2 out of range:
0
--------------------
------- Comment #1 From 2007-09-12 22:13:53 -------
Created an attachment (id=2194) [details]
Добавление в options параметра USE_IFPLUGD=no
------- Comment #2 From 2007-09-13 10:16:49 -------
Данный параметр - аттавизм со времён Compact 3.0.
Достаточно просто изменить его значение по-умолчанию.
------- Comment #3 From 2007-09-13 15:39:14 -------
Столкнулся с тем, что он выставляется по умолчанию в YES при сотворении
загрузочной флешки. Причем, после установки etcnet в образе squashfs оно равно
NO, а при старте хотя бы в init 1 оно уже YES в
/etc/net/ifaces/default/options-eth. Пока грепом не смог найти, кто его так
меняет.
------- Comment #4 From 2007-09-15 13:27:19 -------
О нет, я ошибался. В образе squashfs оно тоже YES. Его изменяет один из
скриптов
в хуках. Значит, мы теперь получаем неработающий alterator-net-wifi на всех
новых live-системах.
------- Comment #5 From 2007-09-17 09:48:48 -------
Антон, это видимо уже к тебе.
------- Comment #6 From 2012-04-19 12:23:54 -------
Открываю багу, так как ничего не поменялось. Осталось обнаружить зловреда.
При этом USE_IFPLUGD=no ситуацию не исправляет (изменил на LiveCD, перезапустил
network, alteratord, ahttpd и убил wpa_supplicant). Всё равно: 
Failed to connect to wpa_supplicant - wpa_ctrl_open: No such file or directory
------- Comment #7 From 2012-05-11 13:29:27 -------
В сизифе: alterator-net-wifi    0.14-alt1
Прошу протестить.
------- Comment #8 From 2015-02-26 11:17:05 -------
На данный момент wifi на livecd занимаются NM/connman; предлагаю переоткрыть,
если кто будет делать вариант с alterator-net-wifi и окажется актуальным.

Ставлю WONTFIX, хотя, скорее всего, здесь WORKSFORME/FIXED.